##### windows::object_handle::object_handle (2 of 3 overloads)

Construct an `windows::object_handle` on an existing native handle.

    object_handle(
        asio::io_context & io_context,
        const native_handle_type & native_handle);

This constructor creates an object handle object to hold an existing native handle.

###### Parameters

io_context

  The `io_context` object that the object handle will use to dispatch handlers for any asynchronous operations performed on the handle.

native_handle

  The new underlying handle implementation.

###### Exceptions

asio::system_error

  Thrown on failure.